Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoPerf2Worth< EOT, WorthT > Class Template Reference

Base class to transform raw fitnesses into fitness for selection. More...

`#include <eoPerf2Worth.h>`

Inheritance diagram for eoPerf2Worth< EOT, WorthT >:

List of all members.

## Public Member Functions
| eoPerf2Worth (std::string _description="Worths")
| default constructor
virtual void | sort_pop (eoPop< EOT > &_pop)
| Sort population according to worth, will keep the worths and fitness_cache in sync with the population.
virtual void | resize (eoPop< EOT > &_pop, unsigned sz)
virtual void | operator() (eoPop< EOT > &_pop)

## Detailed Description

### template<class EOT, class WorthT = double>
class eoPerf2Worth< EOT, WorthT >

Base class to transform raw fitnesses into fitness for selection.

See also:
  eoSelectFromWorth

Definition at line 43 of file eoPerf2Worth.h.

The documentation for this class was generated from the following files:

- eoPerf2Worth.h
- fitness_traits.cpp